/**
* Estilo do modal de loading da tela. Veja componente em 'directives.js'.
* @Author: tharle.camargo
* @Date:   01-12-2016
*/


/*looading*/
.modal-loading{
    /*display:    none;*/
    position:   fixed;
    z-index:    100 !important;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .1 ) 
                /*url('http://i.stack.imgur.com/FhHRx.gif') */
                /*url(icon-loading.svg)*/
                50% 50% 
                no-repeat;
    opacity: 0.80;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity = 80);
    filter: alpha(opacity = 80);
}


.icon-loading {
  position:   fixed;
  top:40%;
  left:48%;
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid #3498db;
  width: 60px;
  height: 60px;
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
  z-index:    1000 !important;
}

.icon-loading-painel {
  position:   relative;
  top:40%;
  left:46%;
  border: 2px solid #f3f3f3;
  border-radius: 50%;
  border-top: 2px solid #3498db;
  width: 30px;
  height: 30px;
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
  z-index:    1000 !important;
}

.modal-loading-painel{
  position:   absolute;
  z-index:    100000 !important;
  top:        0;
  left:       0;
  height:     100%;
  width:      100%;
  background: rgba( 255, 255, 255, .1 ) 
              50% 50% 
              no-repeat;
  opacity: 0.5;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity = 80);
  filter: alpha(opacity = 80);
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}